Bug 76176 - problem with Windows DHCP server
problem with Windows DHCP server
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 16:43 EDT by Mark Kyprianou
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-23 15:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Kyprianou 2002-10-17 16:43:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
When using a Windows DHCP server and a Redhat Linux 8.0 client, I cannot ping my
Linux client by name.  The Linux client successfully gets an IP assignment, but
I cannot ping the LInux client from the WIndows DHCP server. 

This worked in 7.2/7.3 when the smb service was enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.setup linux node to use DHCP
2.reboot  linux node
3.Windows DHCP server assigns Linux node an IP.
	

Actual Results:  Unable to ping Linux client from windows server

Expected Results:  Able to ping Linux client from windows server

Additional info:
Comment 1 Mark Kyprianou 2002-10-18 08:24:51 EDT
Clarification: After the Linux node  (ldcmp4-3)boots, I can ping the Linux node
by IP from the server (bs1), just not by name.  From the linux node I can ping
the windows server by name and IP.



Here's a ping of bs1 from the Linux node:

[root@ldcmp4-3 mnt]# ping bs1
PING bs1.ictvsys.pvt (10.4.0.1) from 10.4.1.13 : 56(84) bytes of data.
64 bytes from bs1.ictvsys.pvt (10.4.0.1): icmp_seq=1 ttl=128 time=0.121 ms
64 bytes from bs1.ictvsys.pvt (10.4.0.1): icmp_seq=2 ttl=128 time=0.141 ms
64 bytes from bs1.ictvsys.pvt (10.4.0.1): icmp_seq=3 ttl=128 time=0.159 ms
64 bytes from bs1.ictvsys.pvt (10.4.0.1): icmp_seq=4 ttl=128 time=0.161 ms
64 bytes from bs1.ictvsys.pvt (10.4.0.1): icmp_seq=5 ttl=128 time=0.160 ms


Here's a ping from the Windows server of ldcmp4-3 by name and by IP:
C:\>ping 10.4.1.13

Pinging 10.4.1.13 with 32 bytes of data:

Reply from 10.4.1.13: bytes=32 time<10ms TTL=64
Reply from 10.4.1.13: bytes=32 time<10ms TTL=64
Reply from 10.4.1.13: bytes=32 time<10ms TTL=64
Reply from 10.4.1.13: bytes=32 time<10ms TTL=64

C:\>
C:\>ping ldcmp4-3
Bad IP address ldcmp4-3.


Here's a ping of a Linux node with RedHat 7.2, using the same Windows DHCP Server
C:\>ping ldcm1

Pinging ldcm1 [10.4.1.11] with 32 bytes of data:

Reply from 10.4.1.11: bytes=32 time<10ms TTL=255
Reply from 10.4.1.11: bytes=32 time<10ms TTL=255
Reply from 10.4.1.11: bytes=32 time<10ms TTL=255
Reply from 10.4.1.11: bytes=32 time<10ms TTL=255


Comment 2 Elliot Lee 2002-10-23 15:43:17 EDT
Sorry, there's nothing here that points to a bug I can fix, especially given the involvement 
of a Windows box in the mix (and given that the Windows box is the one responsible for 
the non-working DNS).
Comment 3 Mark Kyprianou 2002-10-23 15:47:54 EDT
Can you address where the nmb service functionalty that was in 7.2 went in 8.0?
Comment 4 Elliot Lee 2002-10-23 15:53:45 EDT
I vaguely recall hearing that it got merged into the main daemon, but the right way to find 
out would be via www.samba.org

Note You need to log in before you can comment on or make changes to this bug.